function minresLocalReOrthoTest
filename = '1138_bus';
load 1138_bus.mat %do 1138, 494, 662,685
%test veruss GMRES gmres in matlab same syntax as in porblm 2
A = Problem.A; %Save original matrix A
n = size(A,1); %square system for minres to solve
x = 1./(1:n)';
show = true;
check = true;
itnlim = n*5;
rtol = 1.0e-10;
M = []; %no preconditioner
shift = 0; %no shift just solve Ax =b
b = A*x;
localSize = 0;
[x1, istop, itn, rnorm, Arnorm, Anorm, Acond, ynorm, resvec1] = ...
    minres(A,b,M,shift,show,check, itnlim,rtol, localSize);
localSize = 10;
[x2, istop, itn, rnorm, Arnorm, Anorm, Acond, ynorm, resvec2] = ...
    minres(A,b,M,shift,show,check, itnlim,rtol,localSize);
localSize = 20;
[x2, istop, itn, rnorm, Arnorm, Anorm, Acond, ynorm, resvec3] = ...
    minres(A,b,M,shift,show,check, itnlim,rtol,localSize);
localSize = 50;
[x2, istop, itn, rnorm, Arnorm, Anorm, Acond, ynorm, resvec4] = ...
    minres(A,b,M,shift,show,check, itnlim,rtol,localSize);
localSize = 100;
[x3, istop, itn, rnorm, Arnorm, Anorm, Acond, ynorm, resvec5] = ...
    minres(A,b,M,shift,show,check, itnlim,rtol,localSize);
localSize = Inf;
[x4, istop, itn, rnorm, Arnorm, Anorm, Acond, ynorm, resvec6] = ...
    minres(A,b,M,shift,show,check, itnlim,rtol,localSize);
hold off; plot(log10(resvec1), 'b-')
hold  on;  plot(log10(resvec2),'r-')
hold  on;  plot(log10(resvec3),'Color', [0 0.5 0]')
hold  on;  plot(log10(resvec4),'m-')
hold  on;  plot(log10(resvec5),'g-')
hold  on;  plot(log10(resvec6),'k-')
legend('NoOrtho', 'Local10', 'Local20', 'Local50', 'Local100', 'FullOrtho')
xlabel('Iteration count')
ylabel('log(||r_k||)')
titleStr = sprintf('Name: %s, Dim: %ix%i, nnz: %i', filename, n, n, nnz(A));
title(titleStr, 'Interpreter', 'None');
end
